<template>
    <view class="component-widget-switch" :class="{ active: open }" :style="{ fontSize: utils.rpx2px(size) + 'px' }">
        <text class="iconfont" :class="[open ? 'icon-kaiguan-kai' : 'icon-kaiguan-guan']"></text>
    </view>
</template>

<script>
export default {
    name: "component-widget-switch",
    data() {
        return {
            utils: this.$utils,
        };
    },
    props: {
        size: {
            type: Number,
            default: 34,
        },
        open: {
            type: Boolean,
            default: false,
        },
    },
    components: {},
    created() {},
    mounted() {},
    destroyed() {},
    methods: {},
};
</script>

<style lang="less" scoped>
.component-widget-switch {
    font-size: 35rpx;
    color: #c7c7c7;
}
.component-widget-switch.active {
    color: #8194f2;
}
</style>